jQuery(function($) {
 	'use strict';
 	if(phpInfo.button_style == 'theme') {
 			$('#aqbp_quick_buy_btn').addClass($('.single_add_to_cart_button').attr('class'));
 			$('a#aqbp_quick_buy_shop_btn').each(function(i){
 				$(this).addClass($('.add_to_cart_button').first().attr('class'));
 				$(this).removeClass('ajax_add_to_cart');
 			});
 	}
 	else
 	{
 		$('#aqbp_quick_buy_btn').addClass('button-quick-buy');
 		$('a#aqbp_quick_buy_shop_btn').each(function(i){
 				$(this).removeClass('button');
 				$(this).addClass('button-quick-buy');
 			});

 	}
// // Function to check if URL parameters 'added_by' and 'af' exist
jQuery(document).on('click', '#aqbp_quick_buy_shop_btn', function(e) {
    e.preventDefault();

    var $button = $(this); // Store reference to clicked button
    var productName = $button.attr('aria-label').split('Add ')[1].split(' to your cart')[0];
    var quantity = $button.attr('data-quantity');
    
    // Prepare the message in the desired format
    var message = quantity + ' × "' + productName + '" have been added to your cart.';

    // Add "View cart" link at the end of the message
    var viewCartUrl = wc_add_to_cart_params.cart_url; // Use WooCommerce's cart URL
    message += ' <a href="' + viewCartUrl + '" class="button wc-forward">View cart</a>';

    // Store the message in sessionStorage
    sessionStorage.setItem('quickBuyLabel', message);

    // Optional: Check if it has been set correctly
    console.log('Stored label:', sessionStorage.getItem('quickBuyLabel'));

    // Redirect after adding to cart
    var addToCartUrl = $button.attr('href');
    window.location.href = addToCartUrl;
});

// Function to check if 'added_by' is present in the URL
function checkURLParameter() {
    var urlParams = new URLSearchParams(window.location.search); // Get URL parameters
    return urlParams.has('added_by'); // Check if 'added_by' parameter exists
}

// Retrieve and display stored label on page load
jQuery(document).ready(function($) {
    // Check if the page is the cart or checkout page
   if ($('.wp-block-woocommerce-checkout').length > 0 || $('.wp-block-woocommerce-cart').length > 0) {
        var storedLabel = sessionStorage.getItem('quickBuyLabel');
        var noticeContainer = $('.woocommerce-notices-wrapper, .woocommerce-message, .wc-block-components-notices');

        // Check if the URL contains 'added_by' parameter and if there's a stored label
        if (checkURLParameter() && storedLabel) {
            console.log('Retrieved label:', storedLabel); // Debugging: Check the stored value
            
            // Insert the message in the appropriate WooCommerce message container
            if (noticeContainer.length > 0) {
                noticeContainer.first().append('<div class="woocommerce-message">' + storedLabel + '</div>');
            } else {
                // If a notice container is not found, log a message
                console.log('No WooCommerce notice container found.');
            }
        } else {
            console.log('No "added_by" parameter in URL or no label found in sessionStorage.');
        }
    } else {
        // Clear the sessionStorage or do nothing on pages other than cart or checkout
        sessionStorage.removeItem('quickBuyLabel');
    }

    var text = '';

    if (phpInfo && phpInfo.wc_get_notices && phpInfo.wc_get_notices['error']) {
        let all_error = phpInfo.wc_get_notices['error'];

        $.each(all_error, function(index, value) {
            if (value['notice'] && (value['notice'].indexOf('You cannot add that amount to the cart') !== -1)) {
                text += ('<div class="woocommerce-error">' + value['notice'] + '</div>');
            }
        });
    }

    if (phpInfo && phpInfo.wc_get_notices && phpInfo.wc_get_notices['success']) {
        let all_success = phpInfo.wc_get_notices['success'];

        $.each(all_success, function(index, value) {
            if (value['notice'] && (value['notice'].indexOf('added to your cart') !== -1)) {
                text += ('<div class="woocommerce-message">' + value['notice'] + '</div>');
            }
        });
    }

    // Ensure the notice is only added once, and check that it's not already in the page
    if (!$('.wp-block-woocommerce-cart, .woocommerce-cart').length && text !== '') {
        // Avoid duplicate addition of notices
        if (noticeContainer.first().find('.woocommerce-message').length === 0) {
            noticeContainer.first().append(text);
        }
    }
});






 	jQuery('#aqbp_quick_buy_btn').click( function( e ){
 		
 		if( $(this).hasClass('disabled') ){
 			e.preventDefault(); 
 			return;
 		}
 	});

 	jQuery('.variation_id').change( function(){

 		if( $(this).val().length > 0 ){
 			jQuery('#aqbp_quick_buy_btn').removeClass('disabled wc-variation-selection-needed');
 		} else {
 			jQuery('#aqbp_quick_buy_btn').addClass('disabled wc-variation-selection-needed');
 		}
 	});

 	if($('#hide_singel_add_to_cart').length > 0 )
 		{
 			$('button[type="submit"]').hide();
 		}
 });
